package com.ssm.di.constructor;

public class Notice {
    // 通知ID（主键）
    private Integer noticeId;
    // 关联用户ID（与用户模块关联）
    private Integer userId;
    // 通知标题
    private String noticeTitle;
    // 通知内容
    private String noticeContent;
    // 通知类型（如：预算提醒、交易提醒、系统通知）
    private String noticeType;
    // 通知状态（0-未读，1-已读）
    private Integer noticeStatus;
    // 通知创建时间
    private String createTime;

    public Notice(){}

    public Notice(Integer noticeId, Integer userId, String noticeTitle, String noticeContent, String noticeType, Integer noticeStatus, String createTime) {
        this.noticeId = noticeId;
        this.userId = userId;
        this.noticeTitle = noticeTitle;
        this.noticeContent = noticeContent;
        this.noticeType = noticeType;
        this.noticeStatus = noticeStatus;
        this.createTime = createTime;
    }

    public Integer getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(Integer noticeId) {
        this.noticeId = noticeId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getNoticeTitle() {
        return noticeTitle;
    }

    public void setNoticeTitle(String noticeTitle) {
        this.noticeTitle = noticeTitle;
    }

    public String getNoticeContent() {
        return noticeContent;
    }

    public void setNoticeContent(String noticeContent) {
        this.noticeContent = noticeContent;
    }

    public String getNoticeType() {
        return noticeType;
    }

    public void setNoticeType(String noticeType) {
        this.noticeType = noticeType;
    }

    public Integer getNoticeStatus() {
        return noticeStatus;
    }

    public void setNoticeStatus(Integer noticeStatus) {
        this.noticeStatus = noticeStatus;
    }

    public String getCreateTime() {
        return createTime;
    }
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
    public String toString(){
        return "通知ID：" + noticeId + "\n"
                + "关联用户ID：" + userId + "\n"
                + "通知标题：" + noticeTitle + "\n"
                + "通知内容：" + noticeContent + "\n"
                + "通知类型：" + noticeType + "\n"
                + "通知状态：" + noticeStatus + "\n"
                + "创建时间：" + createTime + "\n";
    }
}
